yesod-auth-oauth-1.6.1: OAuth Authentication for Yesod.

Safe Haskell | None
Language | Haskell2010

Yesod.Auth.OAuth

Synopsis

- authOAuth :: YesodAuth master => OAuth -> (Credential -> IO (Creds master)) -> AuthPlugin master
- oauthUrl :: Text -> AuthRoute
- authTwitter :: YesodAuth m => ByteString -> ByteString -> AuthPlugin m
- authTwitterUsingUserId :: YesodAuth m => ByteString -> ByteString -> AuthPlugin m
- twitterUrl :: AuthRoute
- authTumblr :: YesodAuth m => ByteString -> ByteString -> AuthPlugin m
- tumblrUrl :: AuthRoute
- module Web.Authenticate.OAuth

# Documentation

authOAuth Source #

Arguments

:: YesodAuth master |
=> OAuth | `OAuth` data-type for signing.
-> (Credential -> IO (Creds master)) | How to extract ident.
-> AuthPlugin master |

oauthUrl :: Text -> AuthRoute Source #

authTwitter Source #

Arguments

:: YesodAuth m |
=> ByteString | Consumer Key
-> ByteString | Consumer Secret
-> AuthPlugin m |

Deprecated: Use authTwitterUsingUserId instead

This plugin uses Twitter's screen_name as ID, which shouldn't be used for authentication because it is mutable.

authTwitterUsingUserId Source #

Arguments

:: YesodAuth m |
=> ByteString | Consumer Key
-> ByteString | Consumer Secret
-> AuthPlugin m |

Twitter plugin which uses Twitter's user_id as ID.

For more information, see: https://github.com/yesodweb/yesod/pull/1168

Since: 1.4.1

twitterUrl :: AuthRoute Source #

authTumblr Source #

Arguments

:: YesodAuth m |
=> ByteString | Consumer Key
-> ByteString | Consumer Secret
-> AuthPlugin m |

tumblrUrl :: AuthRoute Source #

module Web.Authenticate.OAuth